:root {
    --dark-blue: #052e5c;
    --blue-main: #003c71;
    --pink: #b02b4a;
}

a {
    text-decoration: none;
}

.bg-dark-blue {
    background-color: var(--dark-blue);
}

.custom-orange-btn {
    border: none;
    outline: none;
    background-color: orangered;
    color: white;
    padding: 6px 25px;
    border-radius: 20px;
    text-transform: uppercase;
}

.custom-blue-btn {
    color: white;
    background-color: var(--dark-blue);
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 4px 20px;
    text-decoration: none;
}

.custom-blue-btn:hover {
    background-color: #1457a9;
    transition: all 0.5s ease-in-out;
    color: white;
}

/*.nav-link.active {
    background-color: orangered !important;
    border-radius: 20px;
}*/

.event-item-bg {
    background-color: #f5f5f5;
}

.text-blue-main {
    color: var(--blue-main);
}

.map-icon-color {
    color: var(--pink);
}

.nav-search-box {
    border-radius: 10px;
    padding: 2px 10px;
}

.home-carousel {
    height: 70vh;
    overflow: hidden;
}

.home-carousel .slick-prev {
    left: 2%;
    z-index: 10;
}


.home-carousel .slick-next {
    right: 2%;
    z-index: 10;
}

.home-carousel .slick-prev:before,
.home-carousel .slick-next:before {
    font-size: 30px;
}

/* News Card */

.news-card {
    border: 1px solid #eee;
    box-shadow: 5px 5px 2px 2px rgba(250, 250, 250);
}

.news-card .image-container {
    height: 200px;
    overflow: hidden;
}

.news-card .image-container img {
    width: 100%;
}

.news-card .content {
    padding: 10px 15px;
}

.news-card .news-clamp {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

/* .news-card .content .date {
    color: orangered;
    font-weight: bold;
    font-size: 14px;
} */

.date {
    color: orangered;
    font-weight: bold;
    font-size: 14px;
}

hr {
    margin: 4px 0;
}

.line-clamp-2 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

.nav-link.active {
    background-color: #0a6ebd;
    color: #fff;
}

.menu-open-btn {
    outline: unset;
    border: unset;
    background-color: transparent;
}

.footer a {
    color: white;
}

.footer .footer-item-main {
    font-size: 20px;
    font-weight: bold;
    margin-top: 8px;
    margin-bottom: 10px;
}

#footer-quick-links {
    width: 35%;
}

#footer-contact-us {
    width: 65%;
}

.footer .social-icons {
    display: flex;
}

.social-icon {
    font-size: 25px;
    border: 1px solid white;
    border-radius: 50%;
    padding: 5px 10px;
    margin: 0 5px;
}

body {
    position: relative;
}

body.offcanvas-menu:before {
    opacity: 1;
    visibility: visible;
}

a {
    -webkit-transition: .3s all ease;
    -o-transition: .3s all ease;
    transition: .3s all ease;
}

a {
    text-decoration: none !important;
    color: var(--dark-blue);
}

a:hover {
    color: #007bff;
}

.site-navbar {
    margin-bottom: 0;
    top: 0;
    width: 100%;
    position: relative;
}

.site-navbar .site-logo {
    position: relative;
    left: 0;
    font-size: 24px;
}

.site-navbar .site-navigation .site-menu {
    margin-bottom: 0;
    padding-right: 0;
}

.site-navbar .site-navigation .site-menu .active {
    color: #007bff;
    display: inline-block;
    padding: 20px 20px;
}

.site-navbar .site-navigation .site-menu a {
    text-decoration: none !important;
    display: inline-block;
}

.site-navbar .site-navigation .site-menu .nav-link-root {
    border-bottom: 1px solid transparent;
    font-weight: bold;
}

.site-navbar .site-navigation .site-menu .nav-link-root:hover {
    border-bottom: 1px solid #0b77c9;
}

.site-navbar .site-navigation .site-menu>li {
    display: inline-block;
}

.site-navbar .site-navigation .site-menu>li>a {
    padding: 10px 10px;
    font-size: 13px;
    text-transform: uppercase;
    display: inline-block;
    text-decoration: none !important;
}

.site-navbar .site-navigation .site-menu>li>a:hover {
    color: #315277;
}

.site-navbar .site-navigation .site-menu>li.social>a {
    padding-left: 5px;
    padding-right: 5px;
}

.site-navbar .site-navigation .site-menu .has-children {
    position: relative;
}

.site-navbar .site-navigation .site-menu .has-children>a {
    position: relative;
    padding-right: 20px;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown {
    visibility: hidden;
    min-width: 150px;
    opacity: 0;
    top: 100%;
    position: absolute;
    text-align: left;
    border-top: 2px solid var(--dark-blue);
    -webkit-box-shadow: 0 2px 10px -2px rgba(0, 0, 0, 0.1);
    box-shadow: 0 2px 10px -2px rgba(0, 0, 0, 0.1);
    padding: 0 0;
    margin-top: 20px;
    margin-left: 0;
    background: #fff;
    -webkit-transition: 0.2s 0s;
    -o-transition: 0.2s 0s;
    transition: 0.2s 0s;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown.arrow-top {
    position: absolute;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown.arrow-top:before {
    bottom: 100%;
    left: 20%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown.arrow-top:before {
    border-color: rgba(136, 183, 213, 0);
    border-bottom-color: #fff;
    border-width: 10px;
    margin-left: -10px;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown a {
    text-transform: none;
    letter-spacing: normal;
    -webkit-transition: 0s all;
    -o-transition: 0s all;
    transition: 0s all;
    color: #000;
}

/*.site-navbar .site-navigation .site-menu .has-children .dropdown .active {
    color: #007bff !important;
}*/

.site-navbar .site-navigation .site-menu .has-children .dropdown>li {
    list-style: none;
    padding: 0;
    margin: 0;
    min-width: 210px;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown>li>a {
    padding: 9px 20px;
    display: block;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown>li>a:hover {
    background: #eff1f3;
    color: #000;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown>li.has-children>a:before {
    content: "\e315";
    right: 20px;
}

.site-navbar .site-navigation .site-menu .has-children .dropdown>li.has-children>.dropdown,
.site-navbar .site-navigation .site-menu .has-children .dropdown>li.has-children>ul {
    left: 100%;
    top: 0;
}

/*.site-navbar .site-navigation .site-menu .has-children:hover > a, .site-navbar .site-navigation .site-menu .has-children:focus > a, .site-navbar .site-navigation .site-menu .has-children:active > a {
    color: #007bff;
}*/

.site-navbar .site-navigation .site-menu .has-children:hover,
.site-navbar .site-navigation .site-menu .has-children:focus,
.site-navbar .site-navigation .site-menu .has-children:active {
    cursor: pointer;
}

.site-navbar .site-navigation .site-menu .has-children:hover>.dropdown,
.site-navbar .site-navigation .site-menu .has-children:focus>.dropdown,
.site-navbar .site-navigation .site-menu .has-children:active>.dropdown {
    -webkit-transition-delay: 0s;
    -o-transition-delay: 0s;
    transition-delay: 0s;
    margin-top: 0;
    visibility: visible;
    opacity: 1;
    z-index: 100;
}

.site-mobile-menu {
    width: 300px;
    position: fixed;
    right: 0;
    z-index: 2000;
    padding-top: 20px;
    background: #fff;
    height: calc(100vh);
    -webkit-transform: translateX(110%);
    -ms-transform: translateX(110%);
    transform: translateX(110%);
    -webkit-box-shadow: -10px 0 20px -10px rgba(0, 0, 0, 0.1);
    box-shadow: -10px 0 20px -10px rgba(0, 0, 0, 0.1);
    -webkit-transition: .3s all ease-in-out;
    -o-transition: .3s all ease-in-out;
    transition: .3s all ease-in-out;
}

.offcanvas-menu .site-mobile-menu {
    -webkit-transform: translateX(0%);
    -ms-transform: translateX(0%);
    transform: translateX(0%);
}

.site-mobile-menu .site-mobile-menu-header {
    width: 100%;
    float: left;
    padding-left: 20px;
    padding-right: 20px;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-close {
    float: right;
    margin-top: 8px;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-close span {
    font-size: 30px;
    display: inline-block;
    padding-left: 10px;
    padding-right: 0;
    line-height: 1;
    cursor: pointer;
    -webkit-transition: .3s all ease;
    -o-transition: .3s all ease;
    transition: .3s all ease;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-logo {
    float: left;
    margin-top: 10px;
    margin-left: 0;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-logo a {
    display: inline-block;
    text-transform: uppercase;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-logo a img {
    max-width: 70px;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-logo a:hover {
    text-decoration: none;
}

.site-mobile-menu .site-mobile-menu-body {
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
    position: relative;
    height: calc(100vh - 52px);
    padding: 0 20px 150px;
}

.site-mobile-menu .site-nav-wrap {
    padding: 0;
    margin: 0;
    list-style: none;
    position: relative;
}

.site-mobile-menu .site-nav-wrap a {
    padding: 10px 10px;
    display: block;
    position: relative;
    color: #212529;
}

.site-mobile-menu .site-nav-wrap a:hover {
    color: #007bff;
}

.site-mobile-menu .site-nav-wrap li {
    position: relative;
    display: block;
}

.site-mobile-menu .site-nav-wrap li .active {
    color: #007bff;
}

.site-mobile-menu .site-nav-wrap .social {
    display: inline-block;
}

.site-mobile-menu .site-nav-wrap .arrow-collapse {
    position: absolute;
    right: 0;
    top: 10px;
    z-index: 20;
    width: 36px;
    height: 36px;
    text-align: center;
    cursor: pointer;
    border-radius: 50%;
}

.site-mobile-menu .site-nav-wrap .arrow-collapse:hover {
    background: #f8f9fa;
}

.site-mobile-menu .site-nav-wrap .arrow-collapse.collapsed:before {
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.site-mobile-menu .site-nav-wrap>li {
    display: block;
    position: relative;
    float: left;
    width: 100%;
}

.site-mobile-menu .site-nav-wrap>li.social {
    float: none !important;
    width: auto !important;
}

.site-mobile-menu .site-nav-wrap>li>a {
    padding-left: 20px;
    font-size: 16px;
}

.site-mobile-menu .site-nav-wrap>li>ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.site-mobile-menu .site-nav-wrap>li>ul>li {
    display: block;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>a {
    padding-left: 40px;
    font-size: 16px;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>ul {
    padding: 0;
    margin: 0;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>ul>li {
    display: block;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>ul>li>a {
    font-size: 16px;
    padding-left: 60px;
}


/* Featured Items */
.featured-item-img {
    width: 120px;
    height: 120px;
    border-radius: 8px;
}


/* President Message */
.message-card {
    position: relative;
}

.message-img {
    width: 40px;
    position: absolute;
    top: 8px;
    left: 22px;
}


/* Mission & Vision */
.orangered-text {
    color: orangered;
}


/* Gallery */
.gallery-img-card {
    height: 250px;
}

/* Upcoming Events */
.time-box {
    width: 40px;
    height: 40px;
}

/* video gallery  */
.video-list {
    height: 300px;
    overflow-y: scroll;
}

.video-list .video-item:hover {
    background-color: rgba(128, 128, 128, 0.5);
}

.custom-nav-menu{
    @media (min-width:600px) {
        position: sticky;
        top: 0;
        z-index: 999;
    }
}
